
#ifndef  ICS2_RX71M_H
#define  ICS2_RX71M_H

                                      //T5204 RSK
#define   ICS_SCI0_P32_P33    (0x00)  // CN1 
#define   ICS_SCI0_P20_P21    (0x01)  // 

#define   ICS_SCI1_P26_P30    (0x10)  //     if E1 is not used
#define   ICS_SCI1_P16_P15    (0x11)  // CN2

#define   ICS_SCI2_P13_P12    (0x20)  // CN10
#define   ICS_SCI2_P50_P52    (0x21)  //   

#define   ICS_SCI3_P23_P25    (0x30)  // 
#define   ICS_SCI3_P16_P17    (0x31)  // 

#define   ICS_SCI4_PB1_PB0    (0x40)  //   

#define   ICS_SCI5_PC3_PC2    (0x50)  //   
#define   ICS_SCI5_PA4_PA3    (0x51)  //  

#define   ICS_SCI6_P00_P01    (0x60)  // 
#define   ICS_SCI6_P32_P33    (0x61)  // CN1 
#define   ICS_SCI6_PB1_PB0    (0x62)  //   

#define   ICS_SCI7_P90_P92    (0x70)  //   


void     ics2_init(void * addr, uint8_t port, uint8_t level, uint8_t speed, uint8_t mode);
void     ics2_watchpoint(void);
uint32_t ics2_version(void);

void     ics_int_sci_rxi(void);

#endif  // ICS2_RX71M_H
